From 71bd9ce8741be4c159ce36acee3b7b1c4c1b2cc4 Mon Sep 17 00:00:00 2001
From: ginger <ginger@redhat.com>
Date: Jul 13 2022 12:34:49 +0000
Subject: [PATCH 1/2] add rpm-rebuild job that is like a koschei-like ci test


---

diff --git a/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall b/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
index 74e8cb0..c3f3a99 100644
--- a/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
+++ b/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
@@ -90,6 +90,15 @@ let check_for_fmf_tests =
       , nodeset = Some executor_nodeset
       }
 
+let rpm-rebuild-test =
+      Zuul.Job::{
+      , name = "${job-prefix}rpm-rebuild-test"
+      , description = Some "Koschei like CI for Fedora"
+      , branches = Some Branches.allText
+      , run = Some "playbooks/rpm/check-for-fmf-tests.yaml"
+      , nodeset = Some executor_nodeset
+      }
+
 let check_for_arches =
       Zuul.Job::{
       , name = "${job-prefix}check-for-arches"
@@ -308,6 +317,36 @@ let generateTMTTestsJobs =
         generateTMTTestsJob
         Branches.all
 
+let generateRPMRebuildTestJob =
+      λ(branch : Branches.Type) →
+        Zuul.Job::{
+        , name = "rpm-rebuild-test"
+        , description = Some "Koschei like CI test for Fedora"
+        , final = Some True
+        , branches = Branches.zuulBranch branch
+        , roles = Some
+          [ { zuul = "zuul-distro-jobs" }, { zuul = "fedora-zuul-jobs" } ]
+        , timeout = Some 21600
+        , nodeset = Some default_nodeset
+        , requires = Some [ "repo" ]
+        , secrets = Some
+          [ Zuul.Job.Secret::{
+            , name = "testing_farm_zuul_ci_key"
+            , secret = "testing_farm_zuul_ci_key"
+            }
+          ]
+        , run = Some "playbooks/testing-farm/run.yaml"
+        , post-run = Some [ "playbooks/testing-farm/fetch.yaml" ]
+        , vars = Some (getTestingFarmJobVars branch "fmf")
+        }
+
+let generateRPMRebuildtestJob =
+      Prelude.List.map
+        Branches.Type
+        Zuul.Job.Type
+        generateTMTTestsJob
+        Branches.all
+
 let Jobs =
         [ clean_stalled_koji_tasks
         , check_for_tests
@@ -315,10 +354,12 @@ let Jobs =
         , check_for_fmf_tests
         , check_for_arches
         , common_koji_rpm_build
+        , rpm-rebuild-test
         ]
       # generateRpmBuildJobs KojiBuild.Type.Scratch
       # generateRpmBuildJobs KojiBuild.Type.Final
       # generateTMTTestsJobs
       # generateSTITestsJobs
+      # generateRPMRebuildtestJob
 
 in  Zuul.Job.wrap Jobs

From c9f6434d0c11a7d2d3dd9d92df40c495fd47a095 Mon Sep 17 00:00:00 2001
From: ginger <ginger@redhat.com>
Date: Jul 14 2022 08:32:51 +0000
Subject: [PATCH 2/2] fix job


---

diff --git a/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall b/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
index c3f3a99..154220e 100644
--- a/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
+++ b/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
@@ -90,15 +90,6 @@ let check_for_fmf_tests =
       , nodeset = Some executor_nodeset
       }
 
-let rpm-rebuild-test =
-      Zuul.Job::{
-      , name = "${job-prefix}rpm-rebuild-test"
-      , description = Some "Koschei like CI for Fedora"
-      , branches = Some Branches.allText
-      , run = Some "playbooks/rpm/check-for-fmf-tests.yaml"
-      , nodeset = Some executor_nodeset
-      }
-
 let check_for_arches =
       Zuul.Job::{
       , name = "${job-prefix}check-for-arches"
@@ -317,35 +308,25 @@ let generateTMTTestsJobs =
         generateTMTTestsJob
         Branches.all
 
-let generateRPMRebuildTestJob =
-      λ(branch : Branches.Type) →
-        Zuul.Job::{
-        , name = "rpm-rebuild-test"
-        , description = Some "Koschei like CI test for Fedora"
-        , final = Some True
-        , branches = Branches.zuulBranch branch
-        , roles = Some
-          [ { zuul = "zuul-distro-jobs" }, { zuul = "fedora-zuul-jobs" } ]
-        , timeout = Some 21600
-        , nodeset = Some default_nodeset
-        , requires = Some [ "repo" ]
-        , secrets = Some
-          [ Zuul.Job.Secret::{
-            , name = "testing_farm_zuul_ci_key"
-            , secret = "testing_farm_zuul_ci_key"
-            }
-          ]
-        , run = Some "playbooks/testing-farm/run.yaml"
-        , post-run = Some [ "playbooks/testing-farm/fetch.yaml" ]
-        , vars = Some (getTestingFarmJobVars branch "fmf")
-        }
-
-let generateRPMRebuildtestJob =
-      Prelude.List.map
-        Branches.Type
-        Zuul.Job.Type
-        generateTMTTestsJob
-        Branches.all
+let rpm_rebuild_test =
+      Zuul.Job::{
+      , name = "rpm-rebuild-test"
+      , description = Some "Koschei like CI test for Fedora"
+      , final = Some True
+      , roles = Some
+        [ { zuul = "zuul-distro-jobs" }, { zuul = "fedora-zuul-jobs" } ]
+      , timeout = Some 21600
+      , nodeset = Some default_nodeset
+      , requires = Some [ "repo" ]
+      , secrets = Some
+        [ Zuul.Job.Secret::{
+          , name = "testing_farm_zuul_ci_key"
+          , secret = "testing_farm_zuul_ci_key"
+          }
+        ]
+      , run = Some "playbooks/testing-farm/run.yaml"
+      , post-run = Some [ "playbooks/testing-farm/fetch.yaml" ]
+      }
 
 let Jobs =
         [ clean_stalled_koji_tasks
@@ -354,12 +335,11 @@ let Jobs =
         , check_for_fmf_tests
         , check_for_arches
         , common_koji_rpm_build
-        , rpm-rebuild-test
+        , rpm_rebuild_test
         ]
       # generateRpmBuildJobs KojiBuild.Type.Scratch
       # generateRpmBuildJobs KojiBuild.Type.Final
       # generateTMTTestsJobs
       # generateSTITestsJobs
-      # generateRPMRebuildtestJob
 
 in  Zuul.Job.wrap Jobs

